<script lang="ts">
	import { slide, fade } from 'svelte/transition';
	import { ITEM_ICON } from '../../utils/const';
	import { ChevronDownIcon, ChevronUpIcon } from 'svelte-feather-icons';

	export let name: string;
	export let icons: string[];

	let open: boolean = false;
</script>

{#if icons}
	<div class="flex flex-col gap-4 border border-primary-800 bg-noir-500 rounded-lg p-4">
		<button
			class="flex gap-2 text-2xl items-center justify-between"
			on:click={() => {
				open = !open;
			}}
		>
			<div class="flex gap-2 items-center">
				{#each icons as icon}
					{#if Object.keys(ITEM_ICON).includes(icon)}
						<iconify-icon transition:fade class="text-primary-500" icon={ITEM_ICON[icon]} />
					{/if}
				{/each}
				<h2>{name}</h2>
			</div>
			{#if open}
				<ChevronUpIcon />
			{:else}
				<ChevronDownIcon />
			{/if}
		</button>
		{#if open}
			<span class="flex flex-col gap-4" transition:slide>
				<slot />
			</span>
		{/if}
	</div>
{/if}
